An EOFError exception is thrown when you attempt to read past the end of the available data. For example, an EOFError is thrown when one of the read methods in the IDataInput interface is called and there is insufficient data to satisfy the read request.

### Hierarchy

- IOError
  - EOFError

## Index

### Constructors

- constructor

### Properties

- errorID
- message
- name

### Methods

- getStackTrace

## Constructors

### constructor

- new EOFError(message?: string, id?: number): EOFError

- Overrides IOError.constructor

  - Defined in lib/openfl/errors/EOFError.d.ts:13

  Creates a new EOFError object.

  #### Parameters

  - ##### Optional message: string

    A string associated with the error object.

  - ##### Optional id: number

  #### Returns EOFError

## Properties

### errorID

errorID: number

Inherited from Error.errorID

- Defined in lib/openfl/errors/Error.d.ts:11

### message

message: string

Inherited from Error.message

- Defined in lib/openfl/errors/Error.d.ts:12

### name

name: string

Inherited from Error.name

- Defined in lib/openfl/errors/Error.d.ts:13

## Methods

### getStackTrace

- getStackTrace(): string

- Inherited from Error.getStackTrace

  - Defined in lib/openfl/errors/Error.d.ts:22

  #### Returns string

Generated using TypeDoc